Subject: bug#818: 23.0.60; error when window-size-change-functions is a buffer-local hook

From: martin rudalics <[email-masked]>
Date: Sun, 31 Aug 2008 11:00:50 +0200

>> Does the attached patch fix it?
 >
 > Yes, thank you. Once it is fixed in trunk, could you please apply the
 > following patch to linum.el? Thank you!

I hopefully checked it in.  Please have a look.

 > +        (add-hook 'window-size-change-functions 'linum-after-size nil t)

My fix only makes sure that Emacs does not issue an error when calling a
function in `window-size-change-functions' and one of these functions
was earlier added buffer-locally.  But I'm not sure whether this DTRT
when the value is buffer-local.  If it doesn't, we might have to fix it
as Stefan did for `window-configuration-change-hook' just with the frame
argument added.  Please have a look at this issue.  You might also want
to look at the thread "Wrong window end reported after splitting window"
on emacs-devel around the beginning of this year.

martin